Hi Phil,
Thanks for looking at it. Please don't waste any more time on it. We've realised the particular Adaptec card we had can only handle 2TB arrays which is nothing these days! mdadm on standard SATA ports will probably be the solution.
Regards,
Nick

On 12/08/2017 11:34, Phil Perry wrote:

On 12/08/17 09:28, Nick Howitt wrote:
Hi,


Hi Nick,

I am trying to build the aacraid-1.2.1-x driver in ClearOS 7.3 (Centos 7.3 derivative) and I'm getting the following errors:


I see the same errors when trying to rebuild kmod-aacraid-1.2.1-6.el7.elrepo against kernel-3.10.0-514.26.2.el7.x86_64

Our original package was built against the RHEL 7.1 kernel and has been compatible with kernels up to the el7.3 series. However it is not compatible with the RHEL7.4 kernel and I see the same errors trying to build it for RHEL7.4.

That said, the native kernel driver in RHEL is now newer than our driver so we plan to deprecate kmod-aacraid in favour of using the distro kernel driver.

So your choices are to rebuild the existing package against an older kernel and it should work for you on your 3.10.0-514.26.2.el7.x86_64 kernel (assuming you retain binary compatibility with the kernel subsystems used by the aacraid driver) or use the distro kernel driver (recommended).

Phil

_______________________________________________
elrepo mailing list
elrepo@lists.elrepo.org
http://lists.elrepo.org/mailman/listinfo/elrepo

_______________________________________________
elrepo mailing list
elrepo@lists.elrepo.org
http://lists.elrepo.org/mailman/listinfo/elrepo

Reply via email to